package com.qmth.sop.business.bean.auth;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import org.activiti.engine.form.FormProperty;

import java.io.Serializable;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class FormPropertyBean implements Serializable {

    @ApiModelProperty(value = "流程id")
    String flowId;

    @ApiModelProperty(value = "流程任务id")
    String taskId;

    @ApiModelProperty(value = "用户id")
    String userId;

    @ApiModelProperty(value = "taskKey")
    String taskDefinitionKey;

    @ApiModelProperty(value = "流程id")
    List<FormProperty> formProperty;

    @ApiModelProperty(value = "html内容")
    String htmlContent;

    public FormPropertyBean() {

    }

    public FormPropertyBean(String flowId, String taskId, List<FormProperty> formProperty) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.formProperty = formProperty;
    }

    public FormPropertyBean(String flowId, String taskId, String htmlContent) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.htmlContent = htmlContent;
    }

    public FormPropertyBean(String flowId, String taskId, String userId, String taskDefinitionKey) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.userId = userId;
        this.taskDefinitionKey = taskDefinitionKey;
    }

    public FormPropertyBean(String flowId, String taskId, String userId, List<FormProperty> formProperty) {
        this.flowId = flowId;
        this.taskId = taskId;
        this.userId = userId;
        this.formProperty = formProperty;
    }

    public String getHtmlContent() {
        return htmlContent;
    }

    public void setHtmlContent(String htmlContent) {
        this.htmlContent = htmlContent;
    }

    public String getTaskDefinitionKey() {
        return taskDefinitionKey;
    }

    public void setTaskDefinitionKey(String taskDefinitionKey) {
        this.taskDefinitionKey = taskDefinitionKey;
    }

    public FormPropertyBean(List<FormProperty> formProperty) {
        this.formProperty = formProperty;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getFlowId() {
        return flowId;
    }

    public void setFlowId(String flowId) {
        this.flowId = flowId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<FormProperty> getFormProperty() {
        return formProperty;
    }

    public void setFormProperty(List<FormProperty> formProperty) {
        this.formProperty = formProperty;
    }
}
